\linespread{1.2}

%--- packages ---

\usepackage[a4paper, left = 4cm, right = 4cm, top=3.5cm, bottom = 3.5cm]{geometry}

%Choose ONE:
%\usepackage[draft]{graphicx} %disable loading of graphics in draft mode
\usepackage[]{graphicx} %enable loading of graphics

\usepackage[utf8]{inputenc}
\usepackage{mathtools}
\usepackage[dvipsnames]{xcolor}
\usepackage{tikz}
\usepackage{tikz-qtree}
\usetikzlibrary{fit,backgrounds,math,shapes}
\usepackage{amsmath}
\usepackage{amsthm}
\usepackage{amssymb}
\usepackage{framed}
\usepackage{hyperref}
\usepackage{algorithm}
\usepackage[noend]{algpseudocode}  
\usepackage{algorithmicx}
\usepackage[section]{placeins}
\usepackage{multicol}
\usepackage{subcaption}
\usepackage{float}

%--- Math notation ---
\newcommand{\NP}{\ensuremath{\mathcal{NP}}}
\newcommand{\NPC}{\ensuremath{\mathcal{NPC}}}
\newcommand{\R}{\ensuremath{\mathbb{R}}}
\newcommand{\N}{\ensuremath{\mathbb{N}}}
\newcommand{\Z}{\ensuremath{\mathbb{Z}}}
\newcommand{\Q}{\ensuremath{\mathbb{Q}}}
\newcommand{\F}{\ensuremath{\mathcal{F}}}
\newcommand{\X}{\ensuremath{\mathcal{X}}}
\newcommand{\I}{\ensuremath{\mathcal{I}}}

\DeclareMathOperator*{\argmax}{arg\,max}
\DeclareMathOperator*{\argmin}{arg\,min}
\DeclareMathOperator*{\nca}{nca}
\DeclareMathOperator*{\gap}{gap}

%--- Theorems etc ---
\theoremstyle{definition}
\newtheorem{lemma}{Lemma}
\newtheorem{theorem}{Theorem}
\newtheorem{definition}{Definition}
\newtheorem*{notation}{Notation}

%--- TikZ Styles ---
\tikzstyle{vertex}=[draw, circle, fill=gray!20, minimum width = 20pt, inner sep=0]
\tikzstyle{point}=[circle, fill=black, inner sep=0, minimum width=2pt]
%\tikzstyle{set}=[draw=#1!50,ellipse,inner sep=0,line width=.8pt,label=#2:{\textcolor{#1}{#3}}]
\tikzset{vertexset/.style n args = 3{draw=#1!50,ellipse,inner sep=0,line width=.8pt,label=#2:{\textcolor{#1}{#3}}}}


